summaryrefslogtreecommitdiff
path: root/src/kernel-install
diff options
context:
space:
mode:
authorнаб <nabijaczleweli@nabijaczleweli.xyz>2022-09-21 01:05:37 +0200
committerYu Watanabe <watanabe.yu+github@gmail.com>2022-09-21 16:40:17 +0900
commit3a79a037da2e30de80dd37391f452195e038110c (patch)
tree1302c054ba24fb37757a54d9e2f03e5b542cd51e /src/kernel-install
parent761b1d83145a6f9f41ad9aafcb5f28d452582864 (diff)
downloadsystemd-3a79a037da2e30de80dd37391f452195e038110c.tar.gz
kernel-install/90-loaderentry: fix chown
Diffstat (limited to 'src/kernel-install')
-rwxr-xr-xsrc/kernel-install/90-loaderentry.install4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/kernel-install/90-loaderentry.install b/src/kernel-install/90-loaderentry.install
index b34bbd83cd..743af33aa9 100755
--- a/src/kernel-install/90-loaderentry.install
+++ b/src/kernel-install/90-loaderentry.install
@@ -111,7 +111,7 @@ install -m 0644 "$KERNEL_IMAGE" "$ENTRY_DIR_ABS/linux" || {
echo "Error: could not copy '$KERNEL_IMAGE' to '$ENTRY_DIR_ABS/linux'." >&2
exit 1
}
-chown root.root "$ENTRY_DIR_ABS/linux" || :
+chown root:root "$ENTRY_DIR_ABS/linux" || :
shift "$INITRD_OPTIONS_SHIFT"
# All files listed as arguments, and staged files starting with "initrd" are installed as initrds.
@@ -128,7 +128,7 @@ for initrd in "$@" "${KERNEL_INSTALL_STAGING_AREA}"/initrd*; do
echo "Error: could not copy '$initrd' to '$ENTRY_DIR_ABS/$initrd_basename'." >&2
exit 1
}
- chown root.root "$ENTRY_DIR_ABS/$initrd_basename" || :
+ chown root:root "$ENTRY_DIR_ABS/$initrd_basename" || :
done
mkdir -p "${LOADER_ENTRY%/*}" || {